document: modulemd
version: 2
data:
    name: perl-DBD-Pg
    stream: '3.14'
    summary: A PostgreSQL interface for Perl
    description: >
        DBD::Pg is a Perl module that works with the DBI module to provide
        access to PostgreSQL databases.
    license:
        module: [ MIT ]
    dependencies:
        - buildrequires:
              perl-DBI: []
              perl: [-5.28]
              platform: [f34]
              # Tests:
              postgresql: [10]
          requires:
              perl-DBI: []
              perl: [-5.28]
              platform: [f34]
              # libpq.so is provided by a bare package, not a module
    references:
        community: https://metacpan.org/release/DBD-Pg
    profiles:
        common:
            description: DBD-Pg distribution
            rpms:
                - perl-DBD-Pg
    api:
        rpms:
            - perl-DBD-Pg
    components:
        rpms:
            perl-DBD-Pg:
                rationale: The API.
                ref: master
